Remove node configuration override
DELETE
/api/v1/nodes/{env}/node/{uuid}/config
const url = 'https://example.com/api/v1/nodes/example/node/example/config';const options = {method: 'DELETE', headers: {Authorization: '<Authorization>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request DELETE \ --url https://example.com/api/v1/nodes/example/node/example/config \ --header 'Authorization: <Authorization>'Removes the node’s osquery configuration override so it is served the environment configuration.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”env
required
string
Environment name or UUID
uuid
required
string
Node UUID
Responses
Section titled “Responses”OK
Media typeapplication/json
object
applied
string
environment
string
expired
boolean
expires_at
string
override
string
updated_at
string
updated_by
string
Examplegenerated
{ "applied": "example", "environment": "example", "expired": true, "expires_at": "example", "override": "example", "updated_at": "example", "updated_by": "example"}Bad request
Media typeapplication/json
object
code
string
error
string
Examplegenerated
{ "code": "example", "error": "example"}Unauthorized
Media typeapplication/json
object
code
string
error
string
Examplegenerated
{ "code": "example", "error": "example"}Forbidden
Media typeapplication/json
object
code
string
error
string
Examplegenerated
{ "code": "example", "error": "example"}Not found
Media typeapplication/json
object
code
string
error
string
Examplegenerated
{ "code": "example", "error": "example"}Conflict
Media typeapplication/json
object
code
string
error
string
Examplegenerated
{ "code": "example", "error": "example"}Too many requests
Media typeapplication/json
object
code
string
error
string
Examplegenerated
{ "code": "example", "error": "example"}Internal server error
Media typeapplication/json
object
code
string
error
string
Examplegenerated
{ "code": "example", "error": "example"}Service unavailable
Media typeapplication/json
object
code
string
error
string
Examplegenerated
{ "code": "example", "error": "example"}